
Redmine - Patch #32294

Update ruby-openid to 2.9.2

2019-10-18 05:46 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 3.4.12   

Description

We have to update ruby-openid to the latest version because a vulnerability CVE-2019-11027 has been reported. The attached patch

updates ruby-openid to 2.9.2.

https://nvd.nist.gov/vuln/detail/CVE-2019-11027

https://github.com/openid/ruby-openid/issues/122

I have confirmed with ruby-openid 2.9.2 that:

succeeded in signing in to Redmine with Yahoo OpenID

passes all test with Redmine 3.4-stable, 4.0-stable, and trunk

Associated revisions

Revision 18746 - 2019-10-19 11:17 - Jean-Philippe Lang

Update ruby-openid to 2.9.2 (#32294).

Patch by Go MAEDA.

Revision 18747 - 2019-10-19 11:18 - Jean-Philippe Lang

Merged r18746 to 4.0-stable (#32294).

Revision 18748 - 2019-10-19 11:18 - Jean-Philippe Lang

Merged r18746 to 3.4-stable (#32294).

Revision 19076 - 2019-11-16 10:51 - Jean-Philippe Lang

Merged r18746 to 3.3-stable (#32294).

History

#1 - 2019-10-19 11:16 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.4.12

#2 - 2019-10-19 11:18 - Jean-Philippe Lang

- Status changed from New to Closed

Committed, thanks.
